Cheap VPS & Xen Server

Residential Proxy Network - Hourly & Monthly Packages

How to install ruby-puppet-forge on Debian Unstable (Sid)

Install ruby-puppet-forge

Installing ruby-puppet-forge package on Debian Unstable (Sid) is as easy as running the following command on terminal:

sudo apt-get update
sudo apt-get install ruby-puppet-forge

ruby-puppet-forge package information

distro Debian Unstable (Sid)
section Main
name ruby-puppet-forge
version 2.1.3-1
description Access the Puppet Forge API from Ruby
subsection ruby
website / puppetlabs / forge-ruby
maintainer Puppet Package Maintainers

Uninstall ruby-puppet-forge

To remove just ruby-puppet-forge package itself from Debian Unstable (Sid) execute on terminal:

sudo apt-get remove ruby-puppet-forge

Uninstall ruby-puppet-forge and it’s dependent packages

To remove the ruby-puppet-forge package and any other dependant package which are no longer needed from Debian Sid.

sudo apt-get remove --auto-remove ruby-puppet-forge

Purging ruby-puppet-forge

If you also want to delete configuration and/or data files of ruby-puppet-forge from Debian Sid then this will work:

sudo apt-get purge ruby-puppet-forge

To delete configuration and/or data files of ruby-puppet-forge and it’s dependencies from Debian Sid then execute:

sudo apt-get purge --auto-remove ruby-puppet-forge